/*===============================================================================
ヘッダー
================================================================================*/
#header{
	max-width: 1328px;
	border-radius: 100vmax;
	background: rgba(255, 255, 255, 0.8);
	box-shadow: 0px 0px 16px rgba(14, 90, 167, 0.1);
	backdrop-filter: blur(20px);
}
#header .l-header__inner{
	align-items: center;
	max-width: 100%;
}

@media (min-width: 960px){
	#header .l-header__logo{
		margin-right: 0;
	}
}
#header .c-headLogo{
	margin-right: 0;
}



/*===============================================================================
グロナビ
================================================================================*/
#gnav{
	margin-right: 1.5rem;
}
/* li */
#gnav .c-gnav > li{
	position: relative;
	display: flex;
	transition: var(--ani-t--normal) ease-out;
}
/* a */
#gnav .c-gnav > li > a{
	padding: 0 .875rem;
}

/* グロナビ：テキスト */
#gnav .c-gnav>.menu-item>a .ttl{
	font-size: 1rem;
	font-weight: var(--fw-lg);
}
/* グロナビ：アニメーション線 */
#gnav .c-gnav>.menu-item>a:after {
	bottom: -8px;
	left: 50%;
	width: 0;
	transform: scale(1) translate(-50%, 0);
}
#gnav .c-gnav > li:hover > a::after, 
#gnav .c-gnav > .-current > a::after {
	width: 1.5rem;
	transform: scale(1) translate(-50%, 0);
	transform-origin: center;
}


/*===============================================================================
ヘッダーを被せる
================================================================================*/
/*===============================
* #header（SP時は#headerが追従する）
* =================================*/
#header{
	position: fixed;
	top: var(--header-pos-y);
	left: 50%;
	transform: translateX(-50%);
}

/*===============================
* ページ内スクロールを正常に機能させる
* ヘッダーが被らない様にする
* =================================*/
[data-scrolled=true] #fix_header{
	height: calc( var(--swl-headerH) + var(--header-pos-y) );
	opacity: 0;
	-webkit-transform: translateY(calc(var(--swl-fix_headerH, 100px)*-1));
	transform: translateY(calc(var(--swl-fix_headerH, 100px)*-1));
	visibility: hidden;
}



/*===============================================================================
ハンバーガーメニュー
================================================================================*/
/*===============================
* ハンバーガーメニューの開閉ボタンの位置を揃える
* =================================*/
/* ヘッダーロゴ周りの余白を削除 */
:is(#header, #fix_header) :is(.l-header__logo, .c-headLogo__link){
	padding: 0;
}
/* 開けるボタンの位置 */
#header .l-header__inner{
	padding: var(--header-pad-y) var(--header-pad-x);
}
/* 閉じるボタンの位置 */
#sp_menu .p-spMenu__inner{
	padding-top: calc( var(--swl-headerH) + var(--header-pad-y) );
}
#sp_menu .p-spMenu__closeBtn{
	top: calc( var(--header-pad-y) + var(--header-pos-y) );
	right: var(--header-pad-x);
}
/*===============================
サイズの変更
* =================================*/
#header .l-header__menuBtn, 
#sp_menu .p-spMenu__closeBtn,
#header .c-iconBtn, 
#sp_menu .c-iconBtn{
	width: var(--icon-size);
	height: var(--icon-size);
	border-radius: 50%;
	background: var(--c-main);
	color: var(--c-light);
}
#header .c-iconBtn, 
#sp_menu .c-iconBtn{
	font-size: calc( var(--icon-size) / 2.8 );
}
#header .c-iconBtn__icon, 
#sp_menu .c-iconBtn__icon{
	font-size: inherit;
}

/*===============================
* PC用：ハンバーガーボタン
* =================================*/
/* ハンバーガーボタン＆開閉メニューを表示 */
.l-header__menuBtn.sp_,
.p-spMenu{
	display: block!important;
}

/*===============================
* SP用：ハンバーガーボタン
* =================================*/
/* 背景色部分 幅の変更 */
[data-spmenu="closed"] #sp_menu .p-spMenu__inner{
	-webkit-transform: translateX(100vw);
	transform: translateX(100vw);
}
#sp_menu .p-spMenu__inner{
	width: 100vw;
	padding-top: 0;
}
/* ハンバーガーメニューが開いている時はｽｸﾛｰﾙ禁止 */
[data-spmenu="opened"] body{
	height: 100%;
	overflow: hidden;
}
/*===============================
背景色の変更
* =================================*/
#sp_menu .p-spMenu__inner::before{
	z-index: -1;
	background: linear-gradient(180deg, #F5FBFE 0%, #EAF8FF 100%);
}
#sp_menu .p-spMenu__inner::after{	
	content: "";
	position: absolute;
	top: 0;
	left: 0;
	z-index: -1;
	width: 100%;
	height: 100%;
	background-image: url(/wp-content/uploads/texture.png);
	background-size: cover;
	opacity: .4;
}
#sp_menu .p-spMenu__body{
	padding: 8.5rem 0 var(--g-sec--md);
	overflow-x: clip;
}
/*===============================
ハンバーガーアイコン
* =================================*/
#sp_menu .p-spMenu__closeBtn{
	display: flex;
	justify-content: center;
	align-items: center;
	aspect-ratio: 1;
	border-radius: 50%;
	overflow: hidden;
	background: var(--c-light);
}
/*===============================
* ロゴの為のCSS
* =================================*/
/* 既存タイトル */
#sp_menu .c-widget__title{
	display: none;
}

/*===============================
* ウィジェット
* =================================*/
.my-hdr-inr{
	max-width: calc(1168px + var(--swl-pad_container, 0px) * 2);
	margin-inline: auto;
	padding-left: var(--swl-pad_container, 0);
	padding-right: var(--swl-pad_container, 0);
}

/*===============================
* ウィジェット：ロゴ
* =================================*/
.my-hdr-inr-logo{
	position: absolute;
	top: calc(var(--header-pad-y) + var(--header-pos-y));
	left: var(--header-pad-x);
	z-index: 5;
	display: inline-block;
	width: 12.5rem;
}

/*===============================
* ウィジェット：メニュー
* =================================*/
.my-hdr-inr-menu__list{
	--count: 2;
	--gap: 1rem;
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;
	gap: var(--gap);
	margin-bottom: var(--g-sec--xs);
}
@media (min-width: 600px){
	.my-hdr-inr-menu__list{
		--count: 3;
	}
}
@media (min-width: 960px){
	.my-hdr-inr-menu__list{
		--count: 6;
	}
}

/* li */
.my-hdr-inr-menu__item{
	width: calc( ( 100% - var(--gap) * (var(--count) - 1) ) / var(--count) );
}
@media (min-width: 960px){
	.my-hdr-inr-menu__item{
		max-width: 10.5rem;
	}
}

/* a */
.my-hdr-inr-menu > ul > li > a{
	--c-current: var(--c-blue--dark);
	--arrow-size: .5rem;
	--arrow-weight: 2px;
	display: inline-flex;
	align-items: center;
	gap: .75rem;
	min-width: fit-content;
	width: 100%;
	color: var(--c-current);
	font-weight: var(--fw-lg);
	transition: var(--ani-t--normal) ease-out;
}
@media (min-width: 960px){
	.my-hdr-inr-menu > ul > li > a{
		width: auto;
	}
}
.my-hdr-inr-menu > ul > li > a:is(:hover, :focus){
	--c-current: var(--c-blue--dark);
}

/* アイコン：サブメニュー無し */
.my-hdr-inr-menu > ul > li:not(:has(.sub-menu)) > a > .my-hdr-inr-menu__icon{
	transform: rotate(45deg);
	content: "";
	width: var(--arrow-size);
	height: var(--arrow-size);
	border-top: var(--arrow-weight) solid var(--c-current);
	border-right: var(--arrow-weight) solid var(--c-current);
	transition: var(--ani-t--normal) ease-out;
}
.my-hdr-inr-menu > ul > li:not(:has(.sub-menu)) > a:is(:hover, :focus){
	margin-right: .25rem;
}

/* アイコン：サブメニュー有り */
.my-hdr-inr-menu > ul > li:has(.sub-menu) > a > .my-hdr-inr-menu__icon{
	content: "";
	position: relative;
	width: calc( var(--arrow-size) * 2 );
	height: calc( var(--arrow-size) * 2 );
	border-radius: 50%;
	background: var(--c-current);
	transition: var(--ani-t--normal) ease-out;
}
.my-hdr-inr-menu > ul > li:has(.sub-menu) > a > .my-hdr-inr-menu__icon::before,
.my-hdr-inr-menu > ul > li:has(.sub-menu) > a > .my-hdr-inr-menu__icon::after{
	position: absolute;
	top: 50%;
	left: 50%;
	content: '';
	width: 50%;
	height: var(--arrow-weight);
	background: var(--c-light);
	transition: var(--ani-t--normal) ease-out;
}
.my-hdr-inr-menu > ul > li:has(.sub-menu) > a > .my-hdr-inr-menu__icon::before{transform: translate(-50%, -50%) rotate(90deg);}
.my-hdr-inr-menu > ul > li:has(.sub-menu) > a > .my-hdr-inr-menu__icon::after{transform: translate(-50%, -50%) rotate(0deg);}
/* アニメーション */
.my-hdr-inr-menu > ul > li:has(.sub-menu).is-open > a > .my-hdr-inr-menu__icon::before{transform: translate(-50%, -50%) rotate(180deg);}
.my-hdr-inr-menu > ul > li:has(.sub-menu).is-open > a > .my-hdr-inr-menu__icon::after{
	opacity: 0;
	transform: translate(-50%, -50%) rotate(90deg);
}
@media (min-width: 960px){
	.my-hdr-inr-menu > ul > li:has(.sub-menu) > a > .my-hdr-inr-menu__icon{
		transform: rotate(45deg);
		width: var(--arrow-size);
		height: var(--arrow-size);
		border-top: var(--arrow-weight) solid var(--c-current);
		border-right: var(--arrow-weight) solid var(--c-current);
		border-radius: 0;
		background: transparent;
	}
	.my-hdr-inr-menu > ul > li:has(.sub-menu) > a:is(:hover, :focus) > .my-hdr-inr-menu__icon{
		margin-left: .25rem;
	}
	.my-hdr-inr-menu > ul > li:has(.sub-menu) > a > .my-hdr-inr-menu__icon::before,
	.my-hdr-inr-menu > ul > li:has(.sub-menu) > a > .my-hdr-inr-menu__icon::after{
		content: none;
	}
}

/* sub-menu */
/* sub-menu > li */
.my-hdr-inr-menu > ul > li .sub-menu{
	width: 100%;
	margin-top: .75rem;
	border-top: 1px solid var(--c-blue--dark);
}
@media (min-width: 960px){
	.my-hdr-inr-menu > ul > li .sub-menu{
		padding-top: .75rem;
	}
	.my-hdr-inr-menu__list .sub-menu > li:not(:last-of-type){
		margin-bottom: .5rem;
	}
}

/* sub-menu > li > a */
.my-hdr-inr-menu__list .sub-menu > li > a{
	--c-current: var(--c-blue--dark);
	--arrow-size: .5rem;
	--arrow-weight: 1px;
	display: inline-flex;
	align-items: center;
	gap: .25rem;
	width: 100%;
	min-width: fit-content;
	font-weight: var(--fw-md);
	color: var(--c-current);
	transition: var(--ani-t--normal) ease-out;
}
.my-hdr-inr-menu__list .sub-menu > li > a:is(:hover, :focus){
	--c-current: var(--c-main);
}
/* アイコン */
.my-hdr-inr-menu__list .sub-menu > li > a::before{
	content: "";
	width: var(--arrow-size);
	height: var(--arrow-weight);
	background: var(--c-current);
	transition: var(--ani-t--normal) ease-out;
}
.my-hdr-inr-menu__list .sub-menu > li > a:is(:hover, :focus)::before{
	margin-right: .25rem;
}


.my-hdr-inr-menu__img{
	margin-bottom: clamp(0.5rem, 0.143rem + 0.95vw, 1rem);
	box-shadow: 0px 0px 0px 3px rgba(14, 90, 167, 0.1);
	border-radius: var(--bd-r--sm);
}
.my-hdr-inr-menu__img img{
	display: block;
	width: 100%;
	height: 100%;
	border-radius: var(--bd-r--sm);
	aspect-ratio: 168 / 95;
	object-fit: cover;
	object-position: 50% 50%;
}

/*===============================
* ウィジェット：CTA
* =================================*/
.my-hed-inr-cta{
	--count: 1;
	--gap: 1rem;
	display: flex;
	justify-content: center;
	flex-wrap: wrap;
	gap: var(--gap);
	margin-bottom: var(--g-sec--xs);
}
@media (min-width: 600px){
	.my-hed-inr-cta{
		--count: 2;
	}
}
@media (min-width: 960px){
	.my-hed-inr-cta{
		--count: 3;
	}
}
.my-hed-inr-cta a{
	width: calc( ( 100% - var(--gap) * (var(--count) - 1) ) / var(--count) );
	color: var(--c-current);
}
.my-hed-inr-cta .c-telBtn{
	padding: 1rem 0;
	font-size: 1.75rem;
}
.my-hed-inr-cta .c-mailBtn, 
.my-hed-inr-cta .c-lineBtn{
	max-width: 100%;
	padding: .875rem 0;
}

/*===============================
* サブメニュー
* =================================*/
.my-hdr-inr-submenu__list{
	--gap: 1rem;
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	gap: var(--gap);
}
.my-hdr-inr-submenu__item:not(:last-of-type){
	position: relative;
}
.my-hdr-inr-submenu__item:not(:last-of-type)::before{
	position: absolute;
	top: 50%;
	right: calc( var(--gap) / -2 );
	transform: translate(50%, -50%);
	content: "";
	width: 1px;
	height: 0.75em;
	background: var(--c-blue--dark);
}
.my-hdr-inr-submenu__item a{
	color: var(--c-blue--dark);
	font-weight: var(--fw-lg);
	transition: var(--ani-t--normal) ease-out;
}
.my-hdr-inr-submenu__item a:is(:hover, :focus) {
	color: var(--c-main);
}

/*===============================
* ウィジェット：水玉
* =================================*/
.my-hdr-inr-decor__mizutama{
	position: absolute;
	z-index: -1;
}
.my-hdr-inr-decor__mizutama.--1{
	top: clamp(23.5rem, 18.143rem + 14.29vw, 31rem);
	left: calc( 50% - 50vw - 80px );
	width: clamp(15rem, 11.429rem + 9.52vw, 20rem);
	opacity: 20%;
}
.my-hdr-inr-decor__mizutama.--2{
	top: 12px;
	left: calc( 50% - 50vw + clamp(19rem, 16.143rem + 7.62vw, 23rem) );
	transform: rotate(-45deg);
	width: 60px;
	opacity: 25%;
}
.my-hdr-inr-decor__mizutama.--3{
	bottom: calc( clamp(6.75rem, 4.429rem + 6.19vw, 10rem) * -1 );
	right: calc( 50% - 50vw + 280px );
	width: clamp(10rem, 4.643rem + 14.29vw, 17.5rem);
	opacity: 15%;
}
.my-hdr-inr-decor__mizutama.--4{
	top: 240px;
	right: calc( 50% - 50vw + 84px );
	width: 60px;
	opacity: 25%;
	display: none;
}
.my-hdr-inr-decor__mizutama.--5{
	top: 40px;
	right: calc( 50% - 50vw - 72px );
	width: 200px;
	opacity: 15%;
	display: none;
}
@media (min-width: 600px){
	.my-hdr-inr-decor__mizutama.--4, 
	.my-hdr-inr-decor__mizutama.--5{
		display: block;
	}
}

